\documentclass[11pt,
english,
onehalfspacing,
fleqn,
openany,
b5paper,
pagesize,
twoside]{scrbook}

\usepackage{geometry}
\geometry{
    paper=b5paper,
    inner=16mm,         % Inner margin
    outer=24mm,         % Outer margin
    bindingoffset=10mm, % Binding offset
    top=20mm,           % Top margin
    bottom=20mm,        % Bottom margin
    %showframe,         % show how the type block is set on the page
    headheight=4ex,
    includehead,
    %includefoot
}

%\raggedbottom

\usepackage[utf8]{inputenc}
%\usepackage[ansinew]{inputenc}

\usepackage{pdfpages}
\usepackage{fancyhdr}
%\usepackage{epsfig}
\usepackage{epic}
\usepackage{eepic}
\usepackage{amsmath}
%\usepackage{threeparttable}
\usepackage{amscd}
\usepackage{here}
%\usepackage{lscape}
%\usepackage{tabularx}
%\usepackage{longtable}
\usepackage{multirow}
\usepackage{listings}
\usepackage{mips}
\usepackage{latexsym}
\usepackage{amstext}
\usepackage{amssymb}

\usepackage{tikz}
\usepackage{pgfplots}
\usepackage{subfigure}

\usepackage{float}
\usepackage{multirow}
\usepackage{booktabs}
\usepackage{amsmath}
\usepackage{graphicx}
\usepackage{epstopdf}
\usepackage{pgffor}
\usepackage{titlesec} 
\usepackage{color}

\graphicspath{{./figures/}}

%\usepackage{bbold}
%\usepackage{mathbbol}

\usepackage{ragged2e}
\usepackage{mathrsfs}

\makeatletter
\def\amsbb{\use@mathgroup \M@U \symAMSb}
\makeatother

\usepackage{amsthm}
%\usepackage{breqn}
\usepackage{thmtools}
\DeclareGraphicsExtensions{.eps}

\input{Chapters/rgb}

\usepackage{hyperref}
\hypersetup{
%		pdftoolbar = false,
%		pdffitwindow = true,
%		pagebackref = true,
		linktoc = page,
		pdfauthor = {Mirko},
		pdftitle = {DPIC},
    colorlinks = true,
    linkcolor = black,
    anchorcolor = red,
    citecolor = red,
    filecolor = red,
    pagecolor = red,
    urlcolor = blue
}

\lstset{language=C++,
	basicstyle=\ttfamily,
	keywordstyle=\color{blue}\ttfamily,
	stringstyle=\color{red}\ttfamily,
	commentstyle=\color{green}\ttfamily,
	morecomment=[l][\color{magenta}]{\#}
}
\usepackage{graphics}
%\usepackage{subfigure}
\usepackage{graphicx}
\graphicspath{{Chapters/Figures/}}
					
\renewcommand{\theequation}{\thechapter-\arabic{equation}}
\renewcommand{\thefigure}{\textbf{\color{IndianRed3}\thechapter-\color{IndianRed3}\arabic{figure}}}
\renewcommand{\thetable}{\textbf{\color{IndianRed3}\thechapter-\color{IndianRed3}\arabic{table}}}
\renewcommand{\tablename}{\textbf{\color{IndianRed3}Table}}
\renewcommand{\figurename}{\textbf{\color{IndianRed3}Figure} }

%%% Title
\titleformat{\chapter}[display]
  {\bfseries\Large}
  {\filleft\color{IndianRed3}\MakeUppercase{\large \chaptertitlename} \Huge \color{IndianRed3} \thechapter}
  {0.2ex}
  {{\titlerule[0.8pt]}\vspace{2ex}\Huge\filright }
  [\vspace{1.2ex}\color{IndianRed3}{\titlerule[2pt]}]

%% page style
\pagestyle{fancyplain}%\addtolength{\headwidth}{\marginparwidth}
%\textheight22.5cm \topmargin0cm \textwidth12.5cm
%\oddsidemargin0.5cm \evensidemargin-0.5cm%

\renewcommand{\chaptermark}[1]{\markboth{Chapter \thechapter .\; #1}{}}
\renewcommand{\sectionmark}[1]{\markright{\thesection\; #1}}

\lhead[\fancyplain{}{{$\color{IndianRed3}\blacksquare$} \hspace{0.1cm} \thepage}]{\fancyplain{}{\rightmark}}
\rhead[\fancyplain{}{\leftmark}]{\fancyplain{}{{$\color{IndianRed3}\blacksquare$} \hspace{0.1cm} \thepage}}
\fancyfoot{}
\thispagestyle{fancy}%


\newtheorem{proposition}{Proposition}[chapter]
\newtheorem{corollary}{Corollary}[chapter]
\newtheorem{definition}{Definition}[chapter]
\newtheorem{theorem}{Theorem}[chapter]
\newtheorem{lemma}{Lemma}[chapter]
\newtheorem{assumption}{Assumption}[chapter]
\newtheorem{remark}{Remark}[chapter]
%\newtheorem{example}{Example}[]
%\declaretheoremstyle[headfont=\bfseries]{normalhead}
%\declaretheorem[style=normalhead]{example}

\newenvironment{sketchproof}{%
  \renewcommand{\proofname}{Sketch Proof}\proof}{\endproof}

%\hyphenation{ }


%end the preamble and start the document

\begin{document}
        
%\include{Packages_Title/Title_page_PhD}    % Folder -> Packages_Title -> file: Title_page_PhD.txt
%\maketitle 

%this baselineskip gives sufficient line spacing for an examiner to easily
%markup the thesis with comments
%\baselineskip=18pt plus1pt

%set the number of sectioning levels that get number and appear in the contents
\setcounter{secnumdepth}{3}
\setcounter{tocdepth}{3}

\frontmatter
\includepdf[pages=-]{frontespizio} %aggiungi il contenuto di un file pdf per il frontespizio(e.g. compilato in Word)
\cleardoublepage
%\include{Chapters/dedication} 
%\cleardoublepage       
\include{Chapters/Abstract/abstract}  
%\cleardoublepage
%\include{Chapters/acknowledgments}          
\include{Chapters/preface}

%\newpage
%\thispagestyle{empty}

\tableofcontents            % generate and include a table of contents
\listoffigures              % generate and include a list of figures
\listoftables
%\vskip 80cm

\mainmatter
\include{Chapters/Intro/intro}
\include{Chapters/Background/back}
\include{Chapters/Arch/architecture}
\include{Chapters/Cohe/coherence}
\include{Chapters/SPM/SPM}
\include{Chapters/HwBarriers/hwbarrier}
\include{Chapters/CoherenceRegions/cohereg}
\include{Chapters/Conclusion/conclusion}

%now enable appendix numbering format and include any appendices
%\appendix
%\include{Chapters/Appendix}
\clearpage
%next line adds the Bibliography to the contents page
\addcontentsline{toc}{chapter}{Conclusion}
\addcontentsline{toc}{chapter}{Bibliography}
%uncomment next line to change bibliography name to references
\renewcommand{\bibname}{References}
\bibliography{Chapters/refs}        %use a bibtex bibliography file refs.bib
\bibliographystyle{abbrv}  %use the plain/abbrv bibliography style

\end{document}

